%global packname  BufferedMatrixMethods 
%global Rvers     2.10.0

Name:             R-%{packname}
Version:          1.10.1
Release:          1%{?dist}
Summary:          Microarray Data related methods that utlize BufferedMatrix
Summary(fr):      Outils pour la manipulation des données de puces à ADN

Group:            Applications/Productivity 
License:          GPLv2+
URL:              http://bioconductor.org/packages/release/bioc/html/BufferedMatrixMethods.html
Source0:          http://bioconductor.org/packages/release/bioc/src/contrib/%{packname}_%{version}.tar.gz
BuildRoot:        %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

Requires(post):   R R-affyio
Requires(postun): R
Requires:         R-BufferedMatrix  R >= %{Rvers}
BuildRequires:    R-devel >= %{Rvers} R-BufferedMatrix-devel tetex-latex R-affyio 

%description
Microarray analysis methods that use BufferedMatrix objects

%description -l fr
Outils d'analyse de puce à ADN basé sur la manipulation des tables 
des bibliothèques BufferedMatrix

%prep
%setup -c -q -n %{packname}

%build

%install
rm -rf %{buildroot}

mkdir -p %{buildroot}%{_libdir}/R/library 
R CMD INSTALL %{packname} -l %{buildroot}%{_libdir}/R/library
# Clean up in advance of check
test -d %{packname}/src && (cd %{packname}/src; rm -f *.o *.so)
rm -rf %{buildroot}%{_libdir}/R/library/R.css


## Removed: build fails on dependencies affy which
# is not really needed for this package
#%check
#%{_bindir}/R CMD check %{packname}

%clean
rm -rf %{buildroot}


%files
%defattr(-, root, root, -)
%dir %{_libdir}/R/library/%{packname}
%doc %{_libdir}/R/library/%{packname}/html
%doc %{_libdir}/R/library/%{packname}/DESCRIPTION
%{_libdir}/R/library/%{packname}/INDEX
%{_libdir}/R/library/%{packname}/libs
%{_libdir}/R/library/%{packname}/Meta
%{_libdir}/R/library/%{packname}/R
%{_libdir}/R/library/%{packname}/help
%{_libdir}/R/library/%{packname}/NAMESPACE



%changelog
* Mon Feb 01 2010 pingou <pingou@pingoured.fr> 1.10.1-1
- Update to 1.10.1

* Sat Nov 21 2009 pingou <pingou@pingoured.fr> 1.10.0-1
- Update to 1.10.0
- Remove %%post and %%postun
- Adapt %%files to R-2.10.0

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.8.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Fri Jun 12 2009 pingou <pingou@pingoured.fr> - 1.8.0-3
- Remove check to fix build which fails on missing dep affy
 (not really needed here though)

* Fri Jun 12 2009 pingou <pingou@pingoured.fr> - 1.8.0-2
- Add R-affyio as a R and BR

* Tue Apr 28 2009 pingou <pingou@pingoured.fr> - 1.8.0-1
- Update to Bioconductor 2.4 and R-2.9.0

* Sat Mar 21 2009 pingou <pingou@pingoured.fr> - 1.6.0-1
- Update to bioconductor 2.3
- Get rid of the patches since I moved the BuffuredMethods' header back in libdir

* Sat Mar 21 2009 Robert Scheck <robert@fedoraproject.org> - 1.3.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Tue Feb 19 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 1.3.0-3
- Autorebuild for GCC 4.3

* Sat Feb 09 2008 Pingou <pingoufc4@yahoo.fr> 1.3.0-2
- Change the URL

* Mon Oct 08 2007 Pingou <pingoufc4@yahoo.fr> 1.3.0-1
- Update to bioconductor 2.1 

* Wed Aug 29 2007 Pingou <pingoufc4@yahoo.fr> 1.0.0-5
- Change in the license tag

* Tue Jul 17 2007 Pingou <pingoufc4@yahoo.fr> 1.0.0-4
- Add the Requires(post) and Requires(postun) sections

* Sun Jul 15 2007 Pingou <pingoufc4@yahoo.fr> 1.0.0-3
- Add R-BufferedMatrixMethods-devel in the BR section
- Clean the files section

* Tue Jul 10 2007 Pingou <pingoufc4@yahoo.fr> 1.0.0-2
- Add the requires section

* Tue Jul 10 2007 Pingou <pingoufc4@yahoo.fr> 1.0.0-1 
- initial package for Fedora

